import React from "react";
import Footer from "./PageComponents/footer";
import Header from "./PageComponents/header";
import TabsContainer from "./Tabs/container";
import TimeSeries from "./Graphs/timeserie";
import BarChart from "./Graphs/barchart";
import PieChart from "./Graphs/piechart";
import Head from "next/head";

export default function Graphs() {

    const tabs = [
        <TimeSeries key={0} label="Série temporelle" />,
        <BarChart key={1} label="Diagramme à barre" />,
        <PieChart key={2} label="Diagramme circulaire" />
    ];

    return (
        <>
            <Head>
                <title>Graphs</title>
            </Head>
            <Header />
            <TabsContainer tabs={tabs} />
            <Footer />
        </>
    )
};